
##########################################################
#			ORIOS SCRIPT				   #
##########################################################

source("ORIOSv1.1.R")

##########################################################
#		INPUTS: input1 and input2		         #
##########################################################

# textFile the name of the .txt file where data are store
textFile<-"XXX.txt"

# Tlong is the period length, for instance 24 hours
Tlong<-24

# Rename the inputs
input1<-read.table(textFile,dec=",",sep="\t")
input2<-Tlong #Tlong<-24

#Preparing data...
input1<-as.matrix(input1)
timePoints<-ncol(input1)
timeSample<-ifelse(timePoints>input2,timePoints/(2*input2),input2*2/timePoints)
nPers<-timePoints*timeSample/input2
lista<-list()
for(i in 1:(nrow(input1))){
    lista[[i]]<-as.numeric(input1[i,])# KEY EXECUTION to FilterClass
}

#Initializating Filtering Step
pc1c2Aux<-matrix(0,nrow(input1),6)
pc1c2<-matrix(0,nrow(input1),4)
#period1 vs period2 and reverse
pc2c1<-matrix(0,nrow(input1),6)
for(i in 1:nrow(input1)){
  l1<-lista[[i]][1:24]
  l2<-lista[[i]][25:48]
  pc1c2Aux[i,]<-orderLU(l1,l2)
  pc2c1[i,]<-orderLU(l1,l2,reverse=T)
}
pc1c2<-pc1c2Aux[,1:4]
MC<-cbind(1:nrow(input1),pc1c2,pc2c1[,c(2,3,4)])
colnames(MC)<-c("gene","s2","gl01Refc1","T01Refc1","pval01Refc1",
                  "gl01Refc2","T01Refc2","pval01Refc2")
index_L<-pc1c2Aux[,5]
index_U<-pc1c2Aux[,6]

#output is a table whic contains the number of genes within each labeled ORIOS class
#Executing Filteing and Classification step...
output<-FilterClass(MC,lF=0.01,lC=0.01,indL=index_L,indU=index_U,T=input2,timepoints=timePoints,interval=timeSample,nPeriods=nPers)
save(output,file="output.RData")

